cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jup.ag/prediction/v1/events/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jup.ag/prediction/v1/events/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"eventId": "<string>",
"isActive": true,
"isLive": true,
"category": "<string>",
"subcategory": "<string>",
"volumeUsd": "<string>",
"closeCondition": "<string>",
"beginAt": "<string>",
"rulesPdf": "<string>",
"tags": [
"<string>"
],
"metadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"markets": [
{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": "<string>",
"eventId": "<string>",
"title": "<string>",
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"outcomes": [
"<string>"
],
"marketOptions": [
{
"label": "<string>",
"buyYes": true
}
],
"clobTokenIds": [
"<string>"
],
"isTeamMarket": true,
"team": {},
"sportsLine": 123,
"sportsMarketType": "<string>",
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}
],
"volume24hr": "<string>",
"liveScore": "<unknown>"
}
],
"pagination": {
"start": 1,
"end": 1,
"total": 1,
"hasNext": true
}
}Events
Search Events
Search for events by title or keyword
GET
/
events
/
search
cURL
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
Data provider for events (defaults to polymarket)
Available options:
kalshi, polymarket Search term matched against event titles
Required string length:
1 - 200Required range:
1 <= x <= 20Was this page helpful?
⌘I
